package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceDepartmentPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceDepartmentRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceDepartmentSaveReqVO;

public interface HomeServiceDepartmentService {

    Long createHomeServiceDepartment(HomeServiceDepartmentSaveReqVO createReqVO);

    void updateHomeServiceDepartment(HomeServiceDepartmentSaveReqVO updateReqVO);

    void deleteHomeServiceDepartment(Long id);

    HomeServiceDepartmentRespVO getHomeServiceDepartment(Long id);

    PageResult<HomeServiceDepartmentRespVO> getHomeServiceDepartmentPage(HomeServiceDepartmentPageReqVO pageReqVO);
}

